> ## Documentation Index
> Fetch the complete documentation index at: https://docs.revoengine.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create component.

> 
    ROLES: COMPONENT_WRITE,COMPONENT_ADMIN
    USER: true
    SERVICE ACCOUNT: true
    



## OpenAPI

````yaml post /api/v1/component
openapi: 3.0.0
info:
  title: RevoEngine Platform API
  description: >-
    Official documentation of RevoEngine Platform API<br>Build:
    67df453bb5b0f9b2894535729c66632b73a015a6
  version: Beta - 0.1.0
  contact:
    name: Support
    url: https://help.revong.com
    email: support@revong.com
  termsOfService: https://docs.revong.com/tos
servers:
  - url: https://api.revong.com
    description: RevoEngine Platform API - Production
  - url: https://api.test.revong.com
    description: RevoEngine Platform API - Test
security: []
tags: []
externalDocs:
  description: Documentation
  url: https://docs.revong.com
paths:
  /api/v1/component:
    post:
      tags:
        - Components
      summary: Create component.
      description: |2-

            ROLES: COMPONENT_WRITE,COMPONENT_ADMIN
            USER: true
            SERVICE ACCOUNT: true
            
      operationId: ComponentController_createComponents
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateComponentDto'
      responses:
        '201':
          description: Created.
        '400':
          description: Bad input of the data.
        '403':
          description: Forbidden.
      security:
        - bearer: []
components:
  schemas:
    CreateComponentDto:
      type: object
      properties:
        componentId:
          type: string
          description: componentId optionally used for existing components
        name:
          type: string
          description: Name is only used for the presentation.
        category:
          type: string
          description: Category.
        desc:
          type: string
          description: Description.
        type:
          type: string
          description: >-
            Type of component must be one of:
            CODE_JS,CODE_TS,CODE_JS_LIB,CODE_TS_LIB,JSON_VALIDATOR.
        active:
          type: boolean
          description: Activate upon creation.
      required:
        - componentId
        - name
        - type
        - active
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      description: Bearer token with Platform JWT token or API Key.
      type: http

````